---
title: "Update IDLx instructions of a lab profile"
slug: "update-idlx-instructions-of-a-lab-profile-1"
updated: 2025-08-07T14:39:28Z
published: 2025-08-07T14:41:42Z
canonical: "docs.skillable.com/update-idlx-instructions-of-a-lab-profile-1"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Update IDLx instructions of a lab profile
Post/updatelabinstructions
The **UpdateLabInstructions** command allows you to update the IDLx instructions of a lab. In order to support longer instructions lengths, this method requires an HTTP POST. The Content-Type of your post should be set to application/x-www-form-urlencoded.
SecurityAPI Key: api_keyHeader parameter nameapi_key
All methods require an API key, which must be obtained from Skillable. This key is used by Skillable to validate your account. The key can be passed as an HTTP request header with the header name "api_key".
Query parametersidinteger (int32) Required
The ID of the lab profile to update.
Example2393048
langstring
Allows you to select the language of the Instruction Set. Using this in connection with **instructionsId** will allow you to update a specific lab Instruction Set in the specified language if they have been defined within the lab profile.
NOTE: If this parameter is omitted, or if the specified language is not specified on one of the Instruction sets in a lab profile, then the default language as defined in the **Lab Profile ➔ Manage Instructions Sets** option will be used instead.
en = English es = Spanish fr = French de = German pt = Portuguese ja = Japanese zh-hans = Simplified Chinese zh-hant = Traditional Chinese ko = Korean
Valid values[
"en",
"es",
"fr",
"de",
"pt",
"ja",
"zh-hans",
"zh-hant",
"ko"
]Exampleen
instructionsIdstring
When specified, Skillable will attempt to update the selected instructions. If not specified, or the instruction Id could not be found, the default instructions, as defined on the Lab Profile, will be updated instead. This is a string that cannot contain spaces.
NOTE: To be able to see how to use this parameter, add the column "**API Example**" in the **Manage Instruction Sets** feature while editing the instructions.
ExampleBase-01
instructionsstringRequired
The IDLx instructions. This should included in the body of the post.
ExampleUpdated from the API
Responses200
OK Response.
Example of successfully updating the lab instructions
```json
{
"Status": 1,
"Error": null
}
```
object Statusinteger (int32)
Indicates the status of the API request. 0 = Error 1 = Success
Errorstring | null
In the event of an error, this will contain a detailed error message.